# Civetweb API Reference

### ~~`mg_upload( conn, destination_dir );`~~

### Parameters

| Parameter | Type | Description |
| :--- | :--- | :--- |
|**`conn`**|`struct mg_connection *`|Connection on which files to upload|
|**`destination_dir`**|`const char *`|The destination directory to upload to|

### Return Value

| Type | Description |
| :--- | :--- |
|`int`|Success or error code|

### Description

The function `mg_upload()` is deprecated and may be removed from future releases. Use of this function is therefore highly discouraged.

### See Also
